<?xml version="1.0" encoding="utf-8"?>
<com.cenanezm.TopoSmart.ZoomableScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/scrollView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">




    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="16dp">

        <!-- Sección de Coordenadas -->
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/titulo"
            android:text="\n\nCALCULO Y AJUSTE DE POLIGONALES CERRADAS MEDIANTE EL MÉTODO DE MÍNIMOS CUADRADOS\n\n"
            android:gravity="center"
            android:textStyle="bold"
            android:background="@drawable/rectangle_border"
            android:padding="10dp"
            android:textColor="#FFFFFF"/> <!-- Ajusta el padding según sea necesario -->

        <Button
            android:id="@+id/captureButton"
            android:layout_width="200dp"
            android:layout_height="wrap_content"
            android:text="Exportar PDF"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:layout_marginTop="0dp"
            android:visibility="invisible"
            android:layout_gravity="center"/>


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="\n1. Ingrese o importe las coordenadas y, con base en ellas, se determina el azimut de la línea base."
            android:justificationMode="inter_word"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:gravity="center">

                <EditText
                    android:id="@+id/norte1"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:hint="Norte 1"
                    android:inputType="numberDecimal"
                    android:text=""
                    android:layout_margin="16dp"
                    android:padding="8dp"
                    android:background="@drawable/rectangular_edittext"
                    android:gravity="center_vertical"/>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Punto armado"
                    android:padding="8dp"
                    android:textSize="14sp"
                    android:gravity="center"/>

                <EditText
                    android:id="@+id/norte2"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:hint="Norte 2"
                    android:inputType="numberDecimal"
                    android:text=""
                    android:layout_margin="16dp"
                    android:padding="8dp"
                    android:background="@drawable/rectangular_edittext"
                    android:gravity="center_vertical" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Punto visado"
                    android:padding="8dp"
                    android:textSize="14sp"
                    android:gravity="center"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:gravity="center">

                <EditText
                    android:id="@+id/este1"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:hint="Este 1"
                    android:inputType="numberDecimal"
                    android:text=""
                    android:layout_margin="16dp"
                    android:background="@drawable/rectangular_edittext"
                    android:gravity="center_vertical" />

                <EditText
                    android:id="@+id/este2"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:hint="Este 2"
                    android:inputType="numberDecimal"
                    android:text=""
                    android:layout_margin="50dp"
                    android:padding="8dp"
                    android:background="@drawable/rectangular_edittext"
                    android:gravity="center_vertical" />

            </LinearLayout>
        </LinearLayout>

        <Button
            android:id="@+id/importCoordinatesButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Importar coordenadas"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:layout_marginTop="1dp" />
        <Button
            android:id="@+id/calculateButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calcular" />

        <TextView
            android:id="@+id/resultText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=""
            android:paddingTop="16dp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <!-- Sección de Generación de Cajas -->
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Ingrese la cantidad de deltas." />

        <LinearLayout
            xmlns:android="http://schemas.android.com/apk/res/android"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"> <!-- Centra verticalmente los elementos dentro del LinearLayout -->

            <EditText
                android:id="@+id/numberInput"
                android:layout_width="85dp"
                android:layout_height="wrap_content"
                android:hint="# Deltas"
                android:inputType="number"
                android:text=""
                android:background="@drawable/rectangular_edittext"/>

            <Button
                android:id="@+id/importDatesButton"
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:text="Importar datos"
                android:textColor="#FFFFFF"
                android:backgroundTint="#B84747"
                android:layout_marginLeft="50dp"
                android:visibility="invisible"/>
        </LinearLayout>


        <Button
            android:id="@+id/generateButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Generar" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Ingrese los ángulos observados." />

        <LinearLayout
            android:id="@+id/dynamicContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:id="@+id/ingrese_distancias_textview"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Ingrese las distancias." />

        <LinearLayout
            android:id="@+id/distanceContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp" />

        <Button
            android:id="@+id/sumDegreesButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Calcular azimuts"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:visibility="visible" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="2. Con el azimut de partida y los ángulos observados, calculamos los azimuts sin realizar ningún ajuste."
            android:justificationMode="inter_word"/>
        <TextView
            android:id="@+id/listText"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:text=""
            android:paddingTop="16dp"
            android:visibility="invisible" />

        <LinearLayout
            android:id="@+id/azimutContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"
            android:layout_gravity="center_horizontal"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="3. Con los azimuts y las distancias se determinan las proyecciones."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/projectionButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calcular Proyecciones"
            android:visibility="visible" />

        <LinearLayout
            android:id="@+id/resultContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="4. Con las proyecciones se determinan las coordenadas de manera acumulativa, sin realizar ningún ajuste a las proyecciones."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/calculateCoordinatesButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calcular Coordenadas"
            android:layout_marginTop="16dp" />

        <LinearLayout
            android:id="@+id/coordinates_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp" />

        <TableLayout
            android:id="@+id/tableLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:padding="16dp"
            android:stretchColumns="1" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="5. Se determinan los deltas de las proyecciones, que son la suma algebraica de las PNS y PEW."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/deltaButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Delta de Proyecciones"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:onClick="deltaproyecciones"
            android:layout_marginTop="16dp"/>

        <LinearLayout
            android:id="@+id/deltacoordinates_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="6.Se calcula la sumatoria acumulada de las proyecciones de manera algebraica "
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/projectionsAzimuthButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Sumatorio algebraica"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"/>

        <LinearLayout
            android:id="@+id/azimuth_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="7. Se calculan los senos y cosenos del azimut de cada línea."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/calculateSencosAzimutButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calcular CosAz y SenAz"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"/>

        <LinearLayout
            android:id="@+id/sencos_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="8. Se estructura la matriz de cálculo. En la primera línea, uno (1) para los ángulos a ajustar y cero (0) para las distancias a ajustar; en la segunda y tercera línea, para los cuatro primeros, los deltas de proyecciones, y las tres finales, los senos y cosenos de los azimuts."
            android:justificationMode="inter_word"/>


        <Button
            android:id="@+id/generateMatrixButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Matriz de cálculo"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"/>

        <LinearLayout
            android:id="@+id/matrix_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="9. Se ordena la matriz de errores, en ángulo (expresada en radianes) y en proyecciones."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/generateErrorMatrixButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Matriz de errores"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"/>

        <LinearLayout
            android:id="@+id/error_matrix_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <LinearLayout
            android:id="@+id/constantes_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"
            android:paddingBottom="16dp">

            <EditText
                android:id="@+id/input_precision"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Ingrese la precisión del equipo en segundos"
                android:inputType="numberDecimal"
                android:background="@drawable/rectangular_edittext"
                android:text=""
                android:textSize="15sp"
                />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="10. Se determinan las constantes de cálculo con las siguientes fórmulas:
\n1. Kdis = √2/error permitido \n2. Kang = 206264.8/pseg \nDonde pseg es la precisión del equipo en segundos."
                android:justificationMode="inter_word"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="10dp"
                android:background="@android:color/darker_gray"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="16dp" />

            <Button
                android:id="@+id/calculate_constants_button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="#FFFFFF"
                android:backgroundTint="#B84747"
                android:text="Calcular Constatnes"
                android:layout_marginTop="16dp"/>

            <LinearLayout
                android:id="@+id/constants_result_container"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingTop="16dp"/>
        </LinearLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="11. Se dividen las cuatro primeras columnas por la K de ángulos y las tres finales por la K de distancias
(Esto puede variar dependiendo del número de deltas)."
            android:justificationMode="inter_word"/>


        <Button
            android:id="@+id/calculate_matrix_a_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calculo Matriz A"
            android:layout_marginTop="16dp"/>

        <LinearLayout
            android:id="@+id/matrix_a_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="12.Se determina la matriz transpuesta de A."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/calculate_matrix_a_transpose_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calcular Transpuesta de Matriz A"
            android:layout_marginTop="16dp"/>

        <LinearLayout
            android:id="@+id/matrix_a_transpose_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="13. Se multiplica la matriz A por su matriz transpuesta."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/calculate_matrix_a_times_a_transpose_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="A x A Transpuesta"
            android:layout_marginTop="16dp"/>

        <LinearLayout
            android:id="@+id/matrix_a_times_a_transpose_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="14. Se determina la matriz inversa de la matriz anterior."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/calculate_inverse_matrix_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calcular Matriz Inversa"
            android:layout_marginTop="16dp"/>

        <LinearLayout
            android:id="@+id/inverse_matrix_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="15. Se multiplica la matriz K por la matriz inversa"
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/calculate_k_times_inverse_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calcular K x Inversa"
            android:layout_marginTop="16dp"/>

        <LinearLayout
            android:id="@+id/k_times_inverse_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
                android:text="16. Se multiplica la matriz anterior por la matriz A transpuesta"
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/calculate_k_times_inverse_times_atranspose_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Calcular K x Inversa x A transpuesta"
            android:layout_marginTop="16dp"/>

        <LinearLayout
            android:id="@+id/k_times_inverse_times_atranspose_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="17. Se divide cada valor por la constante; los 4 primeros, porla K ángulo; y los 3 ultimos,
por la k distancia; los cuatro primeros ajuestes en ángulos y los 3 finales  ajuste en distancia
(esto puede variar dependiendo del numero de deltas)."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/division_x_kdiskang_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="División de la constantes K"
            android:layout_marginTop="16dp"/>

        <LinearLayout
            android:id="@+id/division_result_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="18. El ajuste en ángulo está en radianes, se transforma en centesimales."
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/radian_to_grados_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Radian a Grados" />

        <LinearLayout
            android:id="@+id/radians_to_degrees_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="16dp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@android:color/darker_gray"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="19. Recalcular datos"
            android:justificationMode="inter_word"/>

        <Button
            android:id="@+id/recalculate_button"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#FFFFFF"
            android:backgroundTint="#B84747"
            android:text="Recalcular datos"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingTop="16dp">

            <LinearLayout
                android:id="@+id/distances_result_container"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:padding="16dp" />

            <LinearLayout
                android:id="@+id/degrees_result_container"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:padding="16dp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/sum_values_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="16dp"
            android:paddingBottom="16dp" />

        <!-- Botón de borrar -->
        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/clearButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginTop="16dp"
            android:backgroundTint="#B84747"
            android:textColor="#FFFFFF"
            app:srcCompat="@android:drawable/ic_menu_delete" />
    </LinearLayout>
</com.cenanezm.TopoSmart.ZoomableScrollView>
